Subject: Re: 2.6.20-rc4-mm1: PCI=n: drivers/net/3c59x.c compile error

From: Sergei Shtylyov <[email-masked]>
Date: Sat, 17 Feb 2007 22:32:35 +0300

Hello.

Sergei Shtylyov wrote:

>>> 3x59x-fix-pci-resource-management.patch causes the following compile 
>>> error with CONFIG_PCI=n:

>>> <--  snip  -->

>>> ...
>>>   CC      drivers/net/3c59x.o
>>> /home/bunk/linux/kernel-2.6/linux-2.6.20-rc4-mm1/drivers/net/3c59x.c: 
>>> In function 'vortex_init_one':
>>> /home/bunk/linux/kernel-2.6/linux-2.6.20-rc4-mm1/drivers/net/3c59x.c:961: 
>>> error: implicit declaration of function 'pci_request_regions'
>>> /home/bunk/linux/kernel-2.6/linux-2.6.20-rc4-mm1/drivers/net/3c59x.c:985: 
>>> error: implicit declaration of function 'pci_release_regions'
>>> make[3]: *** [drivers/net/3c59x.o] Error 1
> 
> 
>>    Grr, at at the same time it's happy with pci_enable_device().
>>    I'd say the problem is in <linux/pci.h>,  not in the patch.

>    Has there been any patch to fix the "unbalanced" 
> pci_{request|release}_regions() declarations? Am I suposed to create such?

    Alternatively, vortex_{init|remove_one() and struct pci_driver there could 
have been put under #ifdef CONFIG_PCI (good idea anyway -- should reduce 
driver size on non-PCI systems)...

>>> cu
>>> Adrian

MBR, Sergei